HPG(1) - General Commands Manual

# NAME

**hpg** - simple password generator

# SYNOPSIS

**hpg**
\[**-lnsu**]
\[**-x**&nbsp;*length*]

# DESCRIPTION

The
**hpg**
utility creates passwords of different sizes, between 1 and 2^16 signs. Please note that a
lenght of &lt;8 is not very secure and should be avoided. That is why the default value is 16
if the command is called without any options. The default entropy contains \[a-zA-Z0-9].

**-l**

> Use lower case.

**-n**

> Use numbers.

**-s**

> Use symbols.

**-u**

> Use upper case.

**-x**

> Use another length, as the default one.

# EXIT STATUS

The **hpg** utility exits&#160;0 on success, and&#160;&gt;0 if an error occurs.

# EXAMPLES

Create a new random password:

	$ hpg -lnsu -x 32

# COPYRIGHT

Copyright &#169; 2017 Fritjof Bornebusch  
This is free software; see the file COPYING for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

OpenBSD 6.1 - March 21, 2017
